# Type alias ModuleParams<TConfig, TAdditionalParams>

ModuleParams<TConfig, TAdditionalParams>: AccountModuleParams<TConfig, TAdditionalParams> | WalletModuleParams<TConfig, TAdditionalParams> | BasicModuleParams<TConfig, TAdditionalParams>

#### Type Parameters

- #### TConfig extends AnyConfigSchema<ModuleConfig> = AnyConfigSchema<ModuleConfig>

- #### TAdditionalParams extends AnyObject | undefined = undefined

- Defined in modules/packages/module/packages/model/dist/types/ModuleParams.d.ts:15

Generated using TypeDoc